import StartScene from "./startScene/StartScene";
import PlayScene from "./playScene/PlayScene";
import MainBase from "../libs/new_wx/MainBase";

class Main extends MainBase {
    protected get startSceneConfig() {
        return { cls: StartScene }
    }
    protected get playSceneConfig() {
        return { cls: PlayScene }
    }
}


window['Main'] = Main;
egret.runEgret({
    renderMode: "webgl", audioType: 0, calculateCanvasScaleFactor: (context: any) => {
        const backingStore = context.backingStorePixelRatio ||
            context.webkitBackingStorePixelRatio ||
            context.mozBackingStorePixelRatio ||
            context.msBackingStorePixelRatio ||
            context.oBackingStorePixelRatio ||
            context.backingStorePixelRatio || 1;
        return (window.devicePixelRatio || 1) / backingStore;
    }
});